/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

package org.tribblix.illuminate.pkgview;

/**
 * Print out the installed sizes of all the overlays.
 */
public class OverlaySizes {

    /**
     * Prints out the installed sizes of all overlays.
     *
     * @param args Command line arguments
     */
    public static void main(String[] args) {
	String altroot = "/";
	if ((args.length == 2) && ("-R".equals(args[0]))) {
	    altroot = args[1];
	}
	PkgList plist = new PkgList(altroot);
	ContentsParser cp = ContentsParser.getInstance(altroot);
	for (Overlay ovl : new OverlayList(altroot, plist).getOverlays()) {
	    ContentsPackage cc = cp.getOverlay(ovl);
	    if (cc == null) {
		System.out.println("0 | 0 | " + ovl.getName());
	    } else {
		System.out.println(cc.spaceUsed() + " | " + cc.numEntries()
			+ " | " + ovl.getName()
			+ " | " + ovl.getDescription());
	    }
	}
    }
}
